### Class

# Shell TrayManager

#### Description

    final class Shell.TrayManager : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### shell_tray_manager_new

No description available.

#### Instance methods

###### shell_tray_manager_manage_screen

No description available.

###### shell_tray_manager_unmanage_screen

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Shell.TrayManager:bg-color

No description available.

#### Signals

###### Shell.TrayManager::tray-icon-added

No description available.

###### Shell.TrayManager::tray-icon-removed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ShellTrayManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.